> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of application modules of an application > Modules are implicitly filtered by user group's assignment. ## OpenAPI ````json GET /v{version}/AddonFramework/applications/{applicationGuid}/modules { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/AddonFramework/applications/{applicationGuid}/modules": { "get": { "tags": [ "AddonFramework" ], "summary": "Get a list of application modules of an application", "description": "Modules are implicitly filtered by user group's assignment.", "operationId": "AddonFramework_GetPermittedExternalApplicationModules", "parameters": [ { "name": "applicationGuid", "in": "path", "description": "Unique GUID of the application", "required": true, "schema": { "type": "string" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.AddonFramework.ExternalApplicationModule" } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.AddonFramework.ExternalApplicationModule": { "type": "object", "properties": { "GroupName": { "type": "string", "description": "Group name of the application module" }, "Guid": { "type": "string", "description": "Unique GUID of the application module", "format": "uuid" }, "Name": { "type": "string", "description": "Name of the application module" } }, "description": "Application module" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````